Flask 2.0 "picked up" model hiding delay issue
2017-04-02 13:46 - theleo_ua

Status: Rejected Start date: 2017-04-02
Priority: Normal % Done: 0%
Assignee: skyjake

Category: Vanilla emulation

Target version:

Description
Flask 2.0 "picked up" model hiding delay issue

1) Try hexen with verido 2.0 pack: http:/dengine.net/talk/discussion/1887/sapphire-wand-2-0/p1

2) Try to pick up flask, like in this video:

https://www.youtube.com/watch?v=UvsIMYnnJTg&list=PL 5QwAqOy7WABpsDsuzSKwTk258QnzslL g5&index=3#t=1h25m27s (watch
from 1:25:27 to 1:25:30)

Actual result: flask rotated with X axis during pickup
Expected result: the model already shouldn't be there, but replaced with a "pick up" visual fx.

Reproduced in 2.0 Stable [#2281]

History

#1 - 2017-04-02 13:57 - skyjake
- Tags set to 3DModel, Animation
- Category set to Vanilla emulation

- Target version set to 2.0.1

#2 - 2017-04-18 20:18 - skyjake

- Status changed from New to Rejected

This does not appear to be a bug in Doomsday.

The issue can be fixed by changing the model animation definitions. When an artifact is picked up, it switches to a state called DORMANTARTI1_1.
The 3D model should trigger an animation or script when this happens to reflect it being picked up.

#3 - 2017-04-20 10:27 - skyjake
- Target version deleted (2.0.1)
